com.sun.jna.platform.win32

## Interface Winevt.EVT_QUERY_PROPERTY_ID

- Enclosing interface:
    Winevt

      public static interface Winevt.EVT_QUERY_PROPERTY_ID

  Defines the identifiers that identify the query information that you can retrieve. https://msdn.microsoft.com/en-us/library/windows/desktop/aa820607(v=vs.85).aspx

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EvtQueryNames` Identifies the property that contains the list of channel or log file names that are specified in the query.
    `static int` | `EvtQueryPropertyIdEND` This enumeration value marks the end of the enumeration values.
    `static int` | `EvtQueryStatuses` Identifies the property that contains the list of Win32 error codes that correspond directly to the list of channel or log file names that the EvtQueryNames property returns.

- - ### Field Detail

    - #### EvtQueryNames

          static final int EvtQueryNames

      Identifies the property that contains the list of channel or log file names that are specified in the query. The variant type for this property is EvtVarTypeString | EVT_VARIANT_TYPE_ARRAY.
      See Also:
        Constant Field Values

    - #### EvtQueryStatuses

          static final int EvtQueryStatuses

      Identifies the property that contains the list of Win32 error codes that correspond directly to the list of channel or log file names that the EvtQueryNames property returns. The error codes indicate the success or failure of the query for the specific channel or log file. The variant type for this property is EvtVarTypeUInt32 | EVT_VARIANT_TYPE_ARRAY.
      See Also:
        Constant Field Values

    - #### EvtQueryPropertyIdEND

          static final int EvtQueryPropertyIdEND

      This enumeration value marks the end of the enumeration values.
      See Also:
        Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.